### Method

# St IconInfo get_filename

#### Declaration [src]

    const char*
    st_icon_info_get_filename (
      StIconInfo* icon_info
    )

#### Description [src]

Gets the filename for the icon.

#### Return value

Type: `const char*`

The filename for the icon, or `NULL`. The return value is owned by GTK+ and should not be modified or freed.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.